Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoExternalInit< F, External, ExternalEO > Class Template Reference

Initialization of external struct, ctor expects a function of the following signature:. More...

`#include <eoExternalOpFunctions.h>`

Inheritance diagram for eoExternalInit< F, External, ExternalEO >:

List of all members.

## Public Member Functions
| eoExternalInit (External(*_init)(void))
void | operator() (ExternalEO &_eo)
| The pure virtual function that needs to be implemented by the subclass.
## Private Attributes
External(* | init )(void)

## Detailed Description

### template<class F, class External, class ExternalEO = eoExternalEO<F, External>>
class eoExternalInit< F, External, ExternalEO >

Initialization of external struct, ctor expects a function of the following signature:.

External func();

Where External is the user defined struct or class

Definition at line 45 of file eoExternalOpFunctions.h.

The documentation for this class was generated from the following file:

- eoExternalOpFunctions.h